Bug 871716

Summary: [abrt] qemu-system-x86-1.2.0-17.fc18: qemu_spice_display_resize: Process /usr/bin/qemu-kvm was killed by signal 6 (SIGABRT)
Product: [Fedora] Fedora Reporter: Jens Petersen <petersen>
Component: qemuAssignee: Fedora Virtualization Maintainers <virt-maint>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: amit.shah, berrange, cfergeau, crobinso, dwmw2, itamar, knoel, pbonzini, rjones, scottt.tw, stephent98, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:823f1791bd2de873a3bf3af962dd325b539bc3a3
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-12-14 17:18:04 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
File: core_backtrace
none
File: environ
none
File: limits
none
File: backtrace
none
File: cgroup
none
File: executable
none
File: maps
none
File: dso_list
none
File: build_ids
none
File: proc_pid_status
none
File: var_log_messages
none
File: open_fds
none
backtrace none

Description Jens Petersen 2012-10-31 04:04:19 EDT
Description of problem:
was installing/starting new guest in gnome-boxes

Version-Release number of selected component:
qemu-system-x86-1.2.0-17.fc18

Additional info:
libreport version: 2.0.17
abrt_version:   2.0.17
backtrace_rating: 4
cmdline:        /usr/bin/qemu-kvm -name Fedora-18-Nightly-20121029.09-x86_64-Live-desktop.iso -S -M pc-1.2 -cpu Penryn,+pdcm,+xtpr,+tm2,+est,+smx,+vmx,+ds_cpl,+monitor,+dtes64,+pbe,+tm,+ht,+ss,+acpi,+ds,+vme -enable-kvm -m 1038 -smp 2,sockets=1,cores=2,threads=1 -uuid 392136e0-901e-f440-258a-06a9e5bdf0a7 -no-user-config -nodefaults -chardev socket,id=charmonitor,path=/home/petersen/.config/libvirt/qemu/lib/Fedora-18-Nightly-20121029.09-x86_64-Live-desktop.iso.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=utc,driftfix=slew -no-kvm-pit-reinjection -no-reboot -no-shutdown -device ich9-usb-ehci1,id=usb,bus=pci.0,addr=0x5.0x7 -device ich9-usb-uhci1,masterbus=usb.0,firstport=0,bus=pci.0,multifunction=on,addr=0x5 -device ich9-usb-uhci2,masterbus=usb.0,firstport=2,bus=pci.0,addr=0x5.0x1 -device ich9-usb-uhci3,masterbus=usb.0,firstport=4,bus=pci.0,addr=0x5.0x2 -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x6 -drive file=/home/petersen/.local/share/gnome-boxes/images/Fedora-18-Nightly-20121029.09-x86_64-Live-desktop.iso,if=none,id=drive-ide0-0-0,format=qcow2,cache=none -device ide-hd,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0,bootindex=2 -drive file=/home/petersen/Fedora-18-Nightly-20121029.09-x86_64-Live-desktop.iso,if=none,id=drive-ide0-1-0,readonly=on,format=raw -device ide-cd,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0,bootindex=1 -netdev user,id=hostnet0 -device rtl8139,netdev=hostnet0,id=net0,mac=52:54:00:db:80:b9,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0 -chardev spicevmc,id=charchannel0,name=vdagent -device virtserialport,bus=virtio-serial0.0,nr=1,chardev=charchannel0,id=channel0,name=com.redhat.spice.0 -device usb-tablet,id=input0 -spice port=5900,addr=127.0.0.1,disable-ticketing -vga qxl -global qxl-vga.vram_size=67108864 -device AC97,id=sound0,bus=pci.0,addr=0x4 -chardev spicevmc,id=charredir0,name=usbredir -device usb-redir,chardev=charredir0,id=redir0 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x7
crash_function: qemu_spice_display_resize
kernel:         3.6.3-3.fc18.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #6 qemu_spice_display_resize at ui/spice-display.c:425
: #7 dpy_resize at console.h:249
: #8 qemu_console_resize at console.c:1598
: #9 vga_draw_graphic at /usr/src/debug/qemu-kvm-1.2.0/hw/vga.c:1697
: #10 vga_update_display at /usr/src/debug/qemu-kvm-1.2.0/hw/vga.c:1904
: #12 qemu_spice_display_refresh at ui/spice-display.c:458
: #13 dpy_refresh at /usr/src/debug/qemu-kvm-1.2.0/console.h:267
: #14 gui_update at /usr/src/debug/qemu-kvm-1.2.0/vl.c:1281
: #15 qemu_run_timers at qemu-timer.c:393
: #17 qemu_run_all_timers at qemu-timer.c:450
Comment 1 Jens Petersen 2012-10-31 04:04:25 EDT
Created attachment 635967 [details]
File: core_backtrace
Comment 2 Jens Petersen 2012-10-31 04:04:30 EDT
Created attachment 635968 [details]
File: environ
Comment 3 Jens Petersen 2012-10-31 04:04:32 EDT
Created attachment 635969 [details]
File: limits
Comment 4 Jens Petersen 2012-10-31 04:06:27 EDT
Created attachment 635970 [details]
File: backtrace
Comment 5 Jens Petersen 2012-10-31 04:06:29 EDT
Created attachment 635971 [details]
File: cgroup
Comment 6 Jens Petersen 2012-10-31 04:06:31 EDT
Created attachment 635972 [details]
File: executable
Comment 7 Jens Petersen 2012-10-31 04:06:34 EDT
Created attachment 635973 [details]
File: maps
Comment 8 Jens Petersen 2012-10-31 04:06:37 EDT
Created attachment 635974 [details]
File: dso_list
Comment 9 Jens Petersen 2012-10-31 04:06:42 EDT
Created attachment 635975 [details]
File: build_ids
Comment 10 Jens Petersen 2012-10-31 04:06:44 EDT
Created attachment 635976 [details]
File: proc_pid_status
Comment 11 Jens Petersen 2012-10-31 04:06:47 EDT
Created attachment 635977 [details]
File: var_log_messages
Comment 12 Jens Petersen 2012-10-31 04:06:49 EDT
Created attachment 635978 [details]
File: open_fds
Comment 13 Jens Petersen 2012-10-31 05:05:13 EDT
Also happened for me via virt-manager.
Comment 14 Cole Robinson 2012-12-14 17:18:04 EST
Hmm, backtrace seems incomplete. There was a qxl fix that went in .18 which may have fixed this.

If you can still reproduce with latest F18 bits, please file a new abrt backtrace and we can go from there. Till then closing as CURRENTRELEASE
Comment 15 Steve Tyler 2013-05-30 22:50:21 EDT
I'm getting this with:
qemu-kvm-1.2.2-11.fc18.x86_64
kernel 3.9.4-200.fc18.x86_64

Reproducer is:
1. $ qemu-kvm -m 2048 -cdrom ~/xfr/fedora/F18/Fedora-18-x86_64-Live-Desktop.iso -vga qxl
2. Select "Power Off" from gdm menu.
Comment 16 Steve Tyler 2013-05-30 22:54:20 EDT
Created attachment 755130 [details]
backtrace